Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- exports.GitStatusExplorer-GitStatusExplorer
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClass
- orion.metatype.PropertyType
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.SiteServicesExplorer
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.mirror.Mirror

A shim for CodeMirror's `CodeMirror` API.
Defined in: </shared/eclipse/e4/orion/I201206221139/plugins/org.eclipse.orion.client.editor/web/orion/editor/mirror.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.mirror.Mirror() A Mirror is a partial implementation of the API provided by the `CodeMirror` object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| copyState(mode, state)
| defineMIME(mime, modeSpec)
| defineMode(name, modeFactory)
| getMode(modeSpec, modeSpec)
| getOption(option)
| listMIMEs()
| listModes()
| setOption(option, value)

Class Detail
orion.mirror.Mirror()
A Mirror is a partial implementation of the API provided by the `CodeMirror` object. Mirror provides functionality related to mode and MIME management.

If clients intend to reuse modes provided by CodeMirror without modification, they must expose a Mirror as a property named `"CodeMirror"` of the global object so that modes may access it to register themselves, and to load other modes. For example:

`<script>
window.CodeMirror = new Mirror();
// Now you can load the CodeMirror mode scripts.
</script>`

See:
  http://codemirror.net/manual.html

Method Detail
{Object} copyState(mode, state)

Parameters:
{Object} mode
{Object} state

Returns:
  {Object} A copy of `state`.

See:
  http://codemirror.net/doc/manual.html#modeapi

defineMIME(mime, modeSpec)

Parameters:
{String} mime
{String|Object} modeSpec

See:
  http://codemirror.net/manual.html#option_mode

defineMode(name, modeFactory)

Parameters:
{String} name
{Function(options|config)} modeFactory

See:
  http://codemirror.net/doc/manual.html#modeapi

{Object} getMode(modeSpec, modeSpec)

Parameters:
{String|Object} modeSpec
modeSpec

Returns:
  {Object}

See:
  http://codemirror.net/manual.html#option_mode

{Object} getOption(option)

Parameters:
option

Returns:
  {Object}

See:
  http://codemirror.net/doc/manual.html#getOption

{String[]} listMIMEs()

Returns:
  {String[]} The MIMEs.

See:
  http://codemirror.net/doc/manual.html#option_mode

{String[]} listModes()

Returns:
  {String[]} The mode names.

See:
  http://codemirror.net/doc/manual.html#option_mode

setOption(option, value)

Parameters:
{String} option
{Object} value

See:
  http://codemirror.net/doc/manual.html#getOption

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Jun 22 2012 11:43:39 GMT-0400 (EDT)